Bug 482753 - mkinitrd erroneously inserts dependencies to dm-mem-cache (not present on MRG)
Summary: mkinitrd erroneously inserts dependencies to dm-mem-cache (not present on MRG)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel
Version: 1.1
Hardware: All
OS: Linux
low
medium
Target Milestone: 1.3
: ---
Assignee: Arnaldo Carvalho de Melo
QA Contact: David Sommerseth
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 488991 491323
TreeView+ depends on / blocked
 
Reported: 2009-01-27 21:21 UTC by Luis Claudio R. Goncalves
Modified: 2016-05-22 23:27 UTC (History)
8 users (show)

(edit)
Clone Of:
: 488991 (view as bug list)
(edit)
Last Closed: 2010-10-14 15:31:14 UTC


Attachments (Terms of Use)
Patch for the mkinitrd/dmraid issue (2.01 KB, patch)
2009-03-03 20:40 UTC, Luis Claudio R. Goncalves
no flags Details | Diff
Another patch for the mkinitrd/dmraid issue (1.91 KB, patch)
2009-03-03 20:44 UTC, Luis Claudio R. Goncalves
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0771 normal SHIPPED_LIVE Moderate: kernel-rt security and bug fix update 2010-10-14 15:30:14 UTC

Description Luis Claudio R. Goncalves 2009-01-27 21:21:38 UTC
Arnaldo hit the warning that Shak and Jcm have seen earlier and investigated the issue a bit.

That seems to be the origin of this issue:

# rpm -q --changelog mkinitrd
* Wed Dec 17 2008 Peter Jones <pjones@redhat.com> - 5.1.19.6-44
 - Include dm-raid45 and related modules if dmraid is in use.
   Resolves: rhbz#476866

Symptoms:

# mkinitrd /boot/initrd-2.6.24-100.el5rt.tsc1.img 2.6.24-100.el5rt.tsc1
No module dm-mem-cache found for kernel 2.6.24-100.el5rt.tsc1, aborting.

or

# /sbin/new-kernel-pkg --package kernel-rt --banner "Red Hat Enterprise Linux (realtime)" --mkinitrd --depmod --install 2.6.24-100.el5rt.tsc1
WARNING: No module dm-mem-cache found for kernel 2.6.24-100.el5rt.tsc1, continuing anyway
WARNING: No module dm-region_hash found for kernel 2.6.24-100.el5rt.tsc1, continuing anyway
WARNING: No module dm-message found for kernel 2.6.24-100.el5rt.tsc1, continuing anyway
WARNING: No module dm-raid45 found for kernel 2.6.24-100.el5rt.tsc1, continuing anyway

Comment 1 Jeff Needle 2009-02-03 16:36:59 UTC
Good news and bad news.  mkinitrd-5.1.19.6-44 only shipped in 5.3, and since the 1.1.1 candidate was shipped for 1.1, we support 5.2.  This will have to be revisited, though, when the next release goes out that targets 5.3.

Comment 2 Luis Claudio R. Goncalves 2009-03-03 20:40:36 UTC
Created attachment 333925 [details]
Patch for the mkinitrd/dmraid issue

One possible solution.

This patch creates a functions called try_findmodule(), used only to locate dmraid modules, that will silently ignore these modules if they are not present in the kernel being installed.

By the number of reports we received about the mkinitrd WARNINGS during MRG RT kernel installation, I believe support folks will like this solution best as it may avoid bogus support tickets.

before:
   # mkinitrd /boot/initrd-2.6.24.7-107.el5rt.img 2.6.24.7-107.el5rt
   No module dm-mem-cache found for kernel 2.6.24.7-107.el5rt, aborting.

After:

   # mkinitrd /boot/initrd-2.6.24.7-107.el5rt.img 2.6.24.7-107.el5rt
   #

Comment 3 Luis Claudio R. Goncalves 2009-03-03 20:44:35 UTC
Created attachment 333927 [details]
Another patch for the mkinitrd/dmraid issue

Another possible solution [ just for the sake of completeness as the other patch is better ].

This patch creates a functions called try_findmodule(), used only to locate
dmraid modules, that will ignore these modules if they are not present
in the kernel being installed, but will issue the scary warning from mkinitrd.

By the number of reports we received about the mkinitrd WARNINGS during MRG RT
kernel installation, I believe support folks will preffer the other solution as it may avoid bogus support tickets.

before:
   # mkinitrd /boot/initrd-2.6.24.7-107.el5rt.img 2.6.24.7-107.el5rt
   No module dm-mem-cache found for kernel 2.6.24.7-107.el5rt, aborting.

After:

   # mkinitrd /boot/initrd-2.6.24.7-107.el5rt.img 2.6.24.7-107.el5rt
   WARNING: No module dm-mem-cache found for kernel 2.6.24.7-107.el5rt, continuing anyway
   WARNING: No module dm-region_hash found for kernel 2.6.24.7-107.el5rt, continuing anyway
   WARNING: No module dm-message found for kernel 2.6.24.7-107.el5rt, continuing anyway
   WARNING: No module dm-raid45 found for kernel 2.6.24.7-107.el5rt, continuing anyway

Comment 4 Luis Claudio R. Goncalves 2009-09-25 19:36:32 UTC
The fix for BZ#479270 already addressed this issue. RHEL5.4 has this fix on the default installation. The relevant changelog entry is:

* Fri Apr 17 2009 Peter Jones <pjones@redhat.com> - 5.1.19.6-45
- Supress failures if dm-raid45 modules are not present.
   Resolves: rhbz#479270

Comment 10 errata-xmlrpc 2010-10-14 15:31:14 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0771.html


Note You need to log in before you can comment on or make changes to this bug.